Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Google Earth
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 212
Location: Wien

PostPosted: Fri Oct 28, 2011 10:22 am    Post subject: [gelöst] Google Earth Reply with quote

Hallo, möchte Google Earth installieren.
die aktuelle Portage-Version ist
Code:

*  sci-geosciences/googleearth
      Latest version available: 5.1.3535.3218-r1
      .....

beim emerge gibts aber Probleme
Code:

>>> Emerging (1 of 1) sci-geosciences/googleearth-5.1.3535.3218-r1

!!! sci-geosciences/googleearth-5.1.3535.3218-r1 has fetch restriction turned on.
!!! This probably means that this ebuild's files must be downloaded
!!! manually.  See the comments in the ebuild for more information.

 * Fetch failed for 'sci-geosciences/googleearth-5.1.3535.3218-r1', Log file:
 *  '/var/tmp/portage/sci-geosciences/googleearth-5.1.3535.3218-r1/temp/build.log'
 * This version is no longer available from Google and the license prevents mirroring.
 * This ebuild is intended for users who already downloaded it previously and have problems with 5.2+.
 * If you can get the distfile from e.g. another computer of yours,
 * copy the file GoogleEarthLinux-5.1.3535.3218.bin to /usr/portage/distfiles.
 * Otherwise, you need to unmask 5.2 or higher version.

laut dieser Fehlermeldung gibts anscheinend noch andere goggleearth-Versionen für Gentoo
die sich besser installieren lassen.
Nur wo bekomm ich die ?
Halte meinen Portagetree wie empfohlen mit #emerge --sync auf dem Laufenden
und da gibts halt nur diese Version.
bitte um Hilfe


Last edited by oliver2104 on Tue Nov 01, 2011 11:20 am; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3710
Location: Germany

PostPosted: Fri Oct 28, 2011 10:58 am    Post subject: Reply with quote

Hallo

Ja, es gibt noch weitere Versionen und auch Ebuilds
schaue zb direkt im prtage Tree
Code:
ls -l /usr/portage/sci-geosciences/googleearth/
insgesamt 56
-rw-r--r-- 1 root root 16107 24. Mai 18:31 ChangeLog
-rw-r--r-- 1 root root  2818 24. Sep 12:31 Manifest
drwxr-xr-x 2 root root   120 29. Dez 2010  files
-rw-r--r-- 1 root root  4275 31. Jan 2011  googleearth-5.1.3535.3218-r1.ebuild
-rw-r--r-- 1 root root  4989 31. Jan 2011  googleearth-5.2.1.1588.ebuild
-rw-r--r-- 1 root root  5534 25. Mai 17:31 googleearth-6.0.2.2074.ebuild
-rw-r--r-- 1 root root  5251 24. Mai 18:29 googleearth-6.0.3.2197.ebuild
-rw-r--r-- 1 root root   592 24. Sep 12:31 metadata.xml

Oder nutze zb app-portage/eix
Code:
$ eix sci-geosciences/googleearth
* sci-geosciences/googleearth
     Available versions:  5.1.3535.3218-r1!f!s (~)5.2.1.1588!m!s (~)6.0.2.2074!f!s (~)6.0.3.2197!m!s {mdns-bundled (+)qt-bundled}
     Homepage:            http://earth.google.com/
     Description:         A 3D interface to the planet

Doch "besser" installieren werden sich die höheren Versionen vermutlich auch nicht. Für all diese Versionen wirst du die Lizenz akzeptieren müssen, und auch die distfiles manuell herunterladen müssen. Wenn du dies gemacht hast sollte sich das Paket ganz normal mit emerge installieren lassen.
Ist ein wenig umständlich, doch was will man machen wenn eine Lizenz akzeptiert werden muss und die Sources nicht zum freien Download verfügbar stehen...
Back to top
View user's profile Send private message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 212
Location: Wien

PostPosted: Sat Oct 29, 2011 10:44 am    Post subject: Reply with quote

Danke für die Antwort.

Komm aber trotzdem nicht weiter.
Was Lizenzen betrifft hab ich in /etc/make.conf folgendes eingetragen
Code:

ACCEPT_LICENSE="*"

Aber das vorrangige Problem besteht in "distfiles manuell herunterladen"
Wie sollen diese distfiles auschauen ?
Hab lang im Internet gesucht und bin auf verschiedene Varianten gestoßen.
gentoo-distfiles sind meist Archive im *.tar.gz oder *tar.bz2 Format.
googleearth-Archive hab ich in diesen Formaten nicht gefunden.
was man findet sind googleearth*.ebuild Dateien, das sind aber reine Textdateien
und hab keine Ahnung wie die bei der Installation helfen können.
Was man noch häufig unter dem Suchbegriff "distfiles" findet sind GoogleEarthLinux.bin
Dateien, die aber eher auf FreeBSD zugeschnitten sind,

was muss ich jetzt wirklich machen,
bitte um Hilfe
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5467
Location: Langen (Hessen), Germany

PostPosted: Sat Oct 29, 2011 11:06 am    Post subject: Reply with quote

Probier mal das:
emerge =sci-geosciences/googleearth-6.0.3.2197

und befolge dann die Anweisungen (etc-update bzw. dispatch-conf)

Das ging bei mir sofort.
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 212
Location: Wien

PostPosted: Mon Oct 31, 2011 9:37 am    Post subject: Reply with quote

Danke, das hat funktioniert.
emerge =sci-geosciences/googleearth-6.0.3.2197 will zwar nicht gleich,
weil: "masked by: ~x86 keyword"
die gleiche Meldung kommt auch von dev-util/patchelf-0.5
dieses Paket wird anscheinend ebenfalls für googleearth benötigt.
Hab daraufhin in die Datei /etc/portage/package.accept_keywords
Code:

sci-geosciences/googleearth
dev-util/patchelf

eingetragen und nochmals > emerge =sci-geosciences/googleearth-6.0.3.2197 ausgeführt.
Jetzt hat alles geklappt und GoogleEarth konnte ich sofort mit
> /opt/googleearth/googleearth starten
Anweisungen wie (etc-update bzw. dispatch-conf) sind bei mir gar nicht gekommen.
Nochmals Danke für die Hilfe,
lg, Oliver
Back to top
View user's profile Send private message
oliver2104
Apprentice
Apprentice


Joined: 27 Jul 2004
Posts: 212
Location: Wien

PostPosted: Mon Oct 31, 2011 9:45 am    Post subject: Reply with quote

hallo,
möchte gern diesen Thread als SOLVED markieren.
bitte auch hier um eine kurze Hilfe
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Mon Oct 31, 2011 11:01 am    Post subject: Reply with quote

editiere deinen allerersten Post hier im Thread und passe entsprechend deinen Vorlieben den Titel an. "Absenden" nicht vergessen ;)
Back to top
View user's profile Send private message
boospy
Apprentice
Apprentice


Joined: 07 Feb 2010
Posts: 299
Location: Austria

PostPosted: Fri Dec 09, 2011 10:20 pm    Post subject: Reply with quote

Also ich hab das auch so wie ihr gemacht. Ich hab aber wohl die Schrift dazu nicht installiert. Ich seh nur Vierecke als Schrift... weis von euch jemand was für Schrift das Teil benutzt?

lg
boospy
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4410

PostPosted: Sat Dec 10, 2011 5:04 am    Post subject: Reply with quote

boospy wrote:
weis von euch jemand was für Schrift das Teil benutzt?

Googleearth scheint die alphabetisch erste nicht-Monospace Schriftart zu wählen :/ Hatte das Problem auch schon.
Lösung: stelle sicher, dass eine "lesbare" Schrift erwischt wird ^^
Hier ist z.B. "Arial" die erste.
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1136
Location: /dev/koelsch

PostPosted: Mon Dec 12, 2011 1:29 pm    Post subject: Reply with quote

Hi Leute,

möchte bei der Gelegenheit mal alle die hier gepostet haben fragen, ob bei Euch der Sound unter Google Earth funktioniert?
Falls ja, könnt ihr mir vielleicht hier verraten wie's geht, oder falls nein, hier was posten, damit der thread mal wieder hochkocht. :wink:

https://forums.gentoo.org/viewtopic-t-834925-highlight-google.html


Gruß und Dank,

Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum